QwtPlotSpectroCurve(3)

NAME
QwtPlotSpectroCurve - Curve that displays 3D points as dots, where the z coordinate is mapped to a color.

SYNOPSIS

#include <qwt_plot_spectrocurve.h>

Inherits QwtPlotSeriesItem, and QwtSeriesStore< QwtPoint3D >.

  Public Types
enum PaintAttribute { ClipPoints = 1 }
Paint attributes.
typedef QFlags< PaintAttribute > PaintAttributes
Paint attributes.

  Public Member Functions
QwtPlotSpectroCurve (const QString &title=QString())
QwtPlotSpectroCurve (const QwtText &title)
virtual ~QwtPlotSpectroCurve ()
Destructor.
virtual int rtti () const
void setPaintAttribute (PaintAttribute, bool on=true)
bool testPaintAttribute (PaintAttribute) const
void setSamples (const QVector< QwtPoint3D > &)
void setSamples (QwtSeriesData< QwtPoint3D > *)
void setColorMap (QwtColorMap *)
const QwtColorMap * colorMap () const
void setColorRange (const QwtInterval &)
QwtInterval & colorRange () const
virtual void drawSeries (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const
void setPenWidth (double)
double penWidth () const

  Protected Member Functions
virtual void drawDots (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const

Detailed Description

Curve that displays 3D points as dots, where the z coordinate is mapped to a color.

Member Enumeration Documentation

  enum QwtPlotSpectroCurve::PaintAttribute

Paint attributes.

Enumerator

ClipPoints
    Clip points outside the canvas rectangle.

Constructor & Destructor Documentation

  QwtPlotSpectroCurve::QwtPlotSpectroCurve (const QString & title = QString()) [explicit]
Constructor

Parameters:
    title Title of the curve

  QwtPlotSpectroCurve::QwtPlotSpectroCurve (const QwtText & title) [explicit]
Constructor

Parameters:
    title Title of the curve

Member Function Documentation

  const QwtColorMap * QwtPlotSpectroCurve::colorMap () const

Returns:
    Color Map used for mapping the intensity values to colors

See also:
    setColorMap(), setColorRange(), QwtColorMap::color()

  QwtInterval & QwtPlotSpectroCurve::colorRange () const

Returns:
    Value interval, that corresponds to the color map

See also:
    setColorRange(), setColorMap(), QwtColorMap::color()

  void QwtPlotSpectroCurve::drawDots (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect, int from, int to) const [protected], [virtual]
Draw a subset of the points

Parameters:
    painter Painter
    xMap Maps x-values into pixel coordinates.
    yMap Maps y-values into pixel coordinates.
    canvasRect Contents rectangle of the canvas
    from Index of the first sample to be painted
    to Index of the last sample to be painted. If to < 0 the series will be painted to its last sample.

See also:
    drawSeries()

  void QwtPlotSpectroCurve::drawSeries (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect, int from, int to) const [virtual]
Draw a subset of the points

Parameters:
    painter Painter
    xMap Maps x-values into pixel coordinates.
    yMap Maps y-values into pixel coordinates.
    canvasRect Contents rectangle of the canvas
    from Index of the first sample to be painted
    to Index of the last sample to be painted. If to < 0 the series will be painted to its last sample.

See also:
    drawDots()

Implements QwtPlotSeriesItem.

  double QwtPlotSpectroCurve::penWidth () const

Returns:
    Pen width used to draw a dot

See also:
    setPenWidth()

  int QwtPlotSpectroCurve::rtti () const [virtual]

Returns:
    QwtPlotItem::Rtti_PlotSpectroCurve

Reimplemented from QwtPlotItem.

  void QwtPlotSpectroCurve::setColorMap (QwtColorMap * colorMap)
Change the color map

Often it is useful to display the mapping between intensities and colors as an additional plot axis, showing a color bar.

Parameters:
    colorMap Color Map

See also:
    colorMap(), setColorRange(), QwtColorMap::color(), QwtScaleWidget::setColorBarEnabled(), QwtScaleWidget::setColorMap()

  void QwtPlotSpectroCurve::setColorRange (const QwtInterval & interval)
Set the value interval, that corresponds to the color map

Parameters:
    interval interval.minValue() corresponds to 0.0, interval.maxValue() to 1.0 on the color map.

See also:
    colorRange(), setColorMap(), QwtColorMap::color()

  void QwtPlotSpectroCurve::setPaintAttribute (PaintAttribute attribute, bool on = true)
Specify an attribute how to draw the curve

Parameters:
    attribute Paint attribute
    on On/Off /sa PaintAttribute, testPaintAttribute()

  void QwtPlotSpectroCurve::setPenWidth (double penWidth)
Assign a pen width

Parameters:
    penWidth New pen width

See also:
    penWidth()

  void QwtPlotSpectroCurve::setSamples (const QVector< QwtPoint3D > & samples)
Initialize data with an array of samples.

Parameters:
    samples Vector of points

  void QwtPlotSpectroCurve::setSamples (QwtSeriesData< QwtPoint3D > * data)
Assign a series of samples

setSamples() is just a wrapper for setData() without any additional value - beside that it is easier to find for the developer.

Parameters:
    data Data

Warning:
    The item takes ownership of the data object, deleting it when its not used anymore.

  bool QwtPlotSpectroCurve::testPaintAttribute (PaintAttribute attribute) const

Returns:
    True, when attribute is enabled

See also:
    PaintAttribute, setPaintAttribute()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.